<?php
	/*
	plugin WPRS add-on settings page
    */
	
	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

	// ***************************************
	// start settings ****************
	// ***************************************
	
	$license 	= $options['wprsanony_license_key'];
	$status = get_option('wprsanony_license_status');
	
?>

        <div class="">
            <!-- <h3 style="cursor:default;">Settings</h3> -->
            <div id="wpct" class="inside" style="padding:0px 6px 0px 6px;">

			<!-- Table Structure Containing Form Controls -->
			<!-- Each Plugin Option Defined on a New Table Row -->
			<table class="form-table">
            
            	
                 <tr valign="top">	
						<th scope="row" valign="top">
							<?php _e('License Key'); ?>
						</th>
						<td>
							<input id="wprsanony_options[wprsanony_license_key]" name="wprsanony_options[wprsanony_license_key]" type="text" class="regular-text" value="<?php if (isset($options['wprsanony_license_key'])) { echo $options['wprsanony_license_key']; } ?>" /> 
							<label class="description" for="wprsanony_options[wprsanony_license_key]">
							
                            <?php if( $status !== false && $status == 'valid' ) { ?>
									
									<?php wp_nonce_field( 'wprsanony_nonce', 'wprsanony_nonce' ); ?>
									<input type="submit" class="button-secondary" name="wprsanony_license_deactivate" value="<?php _e('Deactivate License'); ?>"/>
                                    <span style="color:green;"><?php _e(' Your license is valid!'); ?></span>
                           
                            <?php } elseif( 'expired' === $status && ! empty( $license ) ) {
									
									 $html_btn = '<a href="https://wprichsnippets.com/pricing/" class="button-primary">' . _e('Renew Your License') . '</a>';
									 echo $html_btn;
									 ?>
                                    <span style="color:red;"><?php _e('Expired, please renew your license!'); ?></span>
                            
							<?php } else {
									wp_nonce_field( 'wprsanony_nonce', 'wprsanony_nonce' ); ?>
									<input type="submit" class="button-secondary" name="wprsanony_license_activate" value="<?php _e('Activate License'); ?>"/> 
                                    <br />
                                    <span style="color:red;"><?php _e('Please, activate your license key!'); ?></span>
                           
							<?php } ?>
                            
                            </label>
                            
                            <p class="description">Please enter your license key. An active license key is needed for automatic updates and <a href="https://wprichsnippets.com/support/" target="_blank">support</a>.</p>
                            
                            <br />
                            <div style="height: 10px; border-bottom: dotted 2px #D7D9EE;"></div>
                            
						</td>
					</tr>
                    
               	<!-- Checkbox Buttons -->
				<tr valign="top">
					<th scope="row">Fields Settings</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsanony_options[wprsanony_chk_hide_name]" type="checkbox" value="1" <?php if (isset($options['wprsanony_chk_hide_name'])) { checked('1', $options['wprsanony_chk_hide_name']); } ?> /> Hide Name field?</label>
					   
                    </td>
				</tr>
                
                <!-- Checkbox Buttons -->
				<tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsanony_options[wprsanony_chk_hide_email]" type="checkbox" value="1" <?php if (isset($options['wprsanony_chk_hide_email'])) { checked('1', $options['wprsanony_chk_hide_email']); } ?> /> Hide Email field?</label>
					
                    	<br /><br />
                     	<div style="height: 10px; border-bottom: dotted 2px #D7D9EE;"></div>
                    
                    </td>
				</tr>
              
				<!-- Text -->
				<tr valign="top">
					<th scope="row">Edit "Anonymous" Name</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsanony_options[wprsanony_other_word]" type="text" value="<?php if (isset($options['wprsanony_other_word'])) { echo $options['wprsanony_other_word']; } ?>" />
                        <br /><span class="description">By default, review author name is set to "Anonymous", you can change it to somethign else.</span></label>
					</td>
				</tr>
                
                <!-- Checkbox Buttons -->
				<tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsanony_options[wprsanony_chk_all_names]" type="checkbox" value="1" <?php if (isset($options['wprsanony_chk_all_names'])) { checked('1', $options['wprsanony_chk_all_names']); } ?> /> Enable for all users? (including registered users)</label>
					
                    	<br /><br />
                     	<div style="height: 10px; border-bottom: dotted 2px #D7D9EE;"></div>
                    
                    </td>
				</tr>
                
                <!-- Text -->
                <tr valign="top">
					<th scope="row">Edit Note befor form</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsanony_options[wprsanony_comment_notes_before]" type="text" value="<?php if (isset($options['wprsanony_comment_notes_before'])) { echo $options['wprsanony_comment_notes_before']; } ?>" />
                        <br /><span class="description">This text will show before the form.</span></label>
                        
                        <br /><br />
                        <div style="height: 10px; border-bottom: dotted 2px #D7D9EE;"></div>
                            
					</td>
				</tr>
                
			</table>
            
			<p>
            	<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>">
            	
			</p>
		        
               
            </div>
 
        </div><!-- end of general settings -->

